

#include "BUILTIN.h"

#include "Array.h"

#include "Nat.h"

#include "ArrayFold.h"
extern OBJ _AArrayFold_Ss(OBJ,OBJ);OBJ __AArrayFold_Ss; /* / */
extern OBJ _AArrayFold_Sb(OBJ,OBJ);OBJ __AArrayFold_Sb; /* \ */

#include "ArrayFold.hc.c"

init_AArrayFold()
{
 static int visited=0; if(visited) return; visited=1;
 init_AArray();
 init_ANat();
 CLS(2,_AArrayFold_3,__AArrayFold_3);
 CLS(2,_AArrayFold_2,__AArrayFold_2);
 init_const_AArrayFold();}

